Skip to main content
DELETE
Delete/cancel a Google Calendar event after explicit confirmation

Authorizations

Authorization
string
header
required

Session token passed as Authorization: Bearer <session-token> for user-authenticated Den routes.

Path Parameters

eventId
string
required
Required string length: 1 - 512
Pattern: ^[A-Za-z0-9_-]+$

Query Parameters

calendarId
string
default:primary
Required string length: 1 - 512
Pattern: ^[^\s\x00-\x1f]+$
sendUpdates
enum<string>
default:none

Notification policy. all/externalOnly requires confirmNotifications=true after explicit user approval. Google may still send some service emails with none.

Available options:
none,
all,
externalOnly
confirmCancellation
string
required

Required explicit user confirmation to delete/cancel this event. A recurring master ID cancels the whole series; use an instance ID for one occurrence.

Allowed value: "true"
confirmNotifications
enum<string>
Available options:
true,
false

Response

Google-confirmed result.

ok
boolean
required
calendarId
string
required
eventId
string
required
cancelled
boolean
required
sendUpdates
enum<string>
default:none

Notification policy. all/externalOnly requires confirmNotifications=true after explicit user approval. Google may still send some service emails with none.

Available options:
none,
all,
externalOnly